# GLContext Class Reference

Window independant OpenGL context class. More...

`#import <GLKit.h>`

List of all members.

## Public Member Functions

(id) | - initWithAttributes:sharedContext:
| Make a new OpenGL context according to the settings and the shared context .

## Static Public Member Functions

(id) | + sharedContext
| Return the shared OpenGL context instance (making one if needed).

## Protected Attributes

GLContext * | mySharedContext

## Detailed Description

Window independant OpenGL context class.

Definition at line 35 of file GLKit.h.

## Member Function Documentation

- (id) initWithAttributes: |  | (sf::WindowSettings&) | attribs
sharedContext: |  | (GLContext *) | context |

Make a new OpenGL context according to the settings and the shared context .

Definition at line 69 of file GLKit.mm.

+ (id) sharedContext |  |  |  |

Return the shared OpenGL context instance (making one if needed).

Definition at line 47 of file GLKit.mm.

The documentation for this class was generated from the following files:

- GLKit.h
- GLKit.mm